Openstack Charmers Barbican Softhsm

  • By OpenStack Charmers
  • Cloud
juju deploy openstack-charmers-barbican-softhsm
Show information
You will need Juju 2.9 to be able to run this command. Learn how to upgrade to Juju 2.9.
Channel Version Revision Published Runs on
latest/stable 34 34 13 Jan 2022
Ubuntu 21.04 Ubuntu 20.10 Ubuntu 20.04 Ubuntu 18.04 Ubuntu 16.04

Platform:

Ubuntu
16.04 18.04 20.04 20.10 21.04

About

The softhsm security module for the barbican charm service Read more


Relevant links


Discuss this charm

Share your thoughts on this charm with the community on discourse.

Join the discussion

Overview

This charm provides the SoftHSM2 HSM plugin to Barbican. Note that this plugin DOES NOT WORK at present due to bug#1611393. It does, however, demonstrate how an HSM plugin will work with Barbican.

Usage

barbican-softhsm is a subordinate charm and lives in the same unit as a barbican charm.

juju deploy barbican
juju deploy ... other services for barbican -- see barbican charm
juju deploy barbican-softhsm
juju add-relation barbican barbican-softhsm

Bugs

Please report bugs on Launchpad.

For general questions please refer to the OpenStack Charm Guide.